%------------------------IEEE AC1A Exciters-------------------
load exc_AC1A.dat;
[mm order_AC1A]=sort([setxor(1:nb,exc_AC1A(:,1));exc_AC1A(:,1)]);
Tr_AC1A=exc_AC1A(:,2)';
kA_AC1A=exc_AC1A(:,3)';
TA_AC1A=exc_AC1A(:,4)';
TC_AC1A=exc_AC1A(:,5)';
TB_AC1A=exc_AC1A(:,6)';
VAmax_AC1A=exc_AC1A(:,7)';
VAmin_AC1A=exc_AC1A(:,8)';
VRmax_AC1A=exc_AC1A(:,9)';
VRmin_AC1A=exc_AC1A(:,10)';
KE_AC1A=exc_AC1A(:,11)';
TE_AC1A=exc_AC1A(:,12)';
E1_AC1A=exc_AC1A(:,13)';
SE1_AC1A=exc_AC1A(:,14)';
E2_AC1A=exc_AC1A(:,15)';
SE2_AC1A=exc_AC1A(:,16)';
KF_AC1A=exc_AC1A(:,17)';
TF_AC1A=exc_AC1A(:,18)';
KD_AC1A=exc_AC1A(:,19)';
KC_AC1A=exc_AC1A(:,20)';

Efd0_AC1A=EFD0(exc_AC1A(:,1));
IFD0_AC1A=IFD0_a(exc_AC1A(:,1));

%calculation of saturation function coef., A and B in  SE=A*exp(B*Efd)
B1=(1./(E1_AC1A-E2_AC1A)).*log(SE1_AC1A./SE2_AC1A);
A1=SE1_AC1A./(exp(B1.*E1_AC1A));

for i=1:size(exc_AC1A,1)
    IFD=IFD0_AC1A(i);
    Kc_AC1A=KC_AC1A(i);
		for Ve=1.5:0.0001:20
   			In(i)=(Kc_AC1A.*IFD)./Ve;
   		if In(i)<=0.433
      		Fex_AC1A(i)=1-(0.577.*In(i));
   			else if In(i)<0.75
         			Fex_AC1A(i)=sqrt(0.75-In(i)^2);
      				else if In(i)<=1
            				Fex_AC1A(i)=1.732.*(1-In(i));
         				  else Fex_AC1A(i)=0;
         			end
      		end
   		end
    			Efd1=Fex_AC1A(i).*Ve;
     		if Efd1>=Efd0_AC1A(i)
       		break
       	end
    	end
  Ve_AC1A(i)=Ve;
 end
Vfe_AC1A=((KD_AC1A.*IFD0_AC1A)+Ve_AC1A.*(KE_AC1A+A1.*exp(B1.*Ve_AC1A)));
VR0_AC1A=Vfe_AC1A;
Vref_AC1A=VR0_AC1A./kA_AC1A + lfl(exc_AC1A(:,1),2)';
Fst0_AC1A=Vfe_AC1A.*KF_AC1A;


Tgr0_AC1A=(Vref_AC1A - lfl(exc_AC1A(:,1),2)').*(1-TC_AC1A./TB_AC1A);
