%-------------------Compound source rectifier exciter: ST2A TYPE----------------
load exc_ST2A.dat
[mm order_ST2A]=sort([setxor(1:nb,exc_ST2A(:,1));exc_ST2A(:,1)]);
kA_ST2A=exc_ST2A(:,2)';
TA_ST2A=exc_ST2A(:,3)';
KE_ST2A=exc_ST2A(:,4)';
TE_ST2A=exc_ST2A(:,5)';
KC_ST2A=exc_ST2A(:,6)';
KF_ST2A=exc_ST2A(:,7)';
TF_ST2A=exc_ST2A(:,8)';
VRmax_ST2A=exc_ST2A(:,9);
VRmin_ST2A=exc_ST2A(:,10);
KP_ST2A=exc_ST2A(:,11)';
KI_ST2A=exc_ST2A(:,12)';
EFDmax_ST2A=exc_ST2A(:,13)';

Efd0_ST2A=EFD0(exc_ST2A(:,1));
IFD0_ST2A=IFD0_a(exc_ST2A(:,1));


Fst0_ST2A=Efd0_ST2A.*KF_ST2A;
VE_ST2A=abs(KP_ST2A.*Vg0bar_a(exc_ST2A(:,1))+j*KI_ST2A.*Ig0bar_a(exc_ST2A(:,1)));
In_ST2A=(KC_ST2A.*IFD0_ST2A)./VE_ST2A;

for i=1:size(exc_ST2A,1)
if In_ST2A(i)<=0.433
   Fex_ST2A(i)=(1-0.577*In_ST2A(i));
   else if In_ST2A(i)<0.75
      Fex_ST2A(i)=sqrt(0.75-In_ST2A(i)^2);
   else if In_ST2A(i)<=1
         Fex_ST2A(i)=1.732*(1-In_ST2A(i));
      else Fex_ST2A(i)=0;
      end
   end
end
end

Vb_ST2A=VE_ST2A.*Fex_ST2A;
VR0_ST2A=(KE_ST2A.*Efd0_ST2A)./(Vb_ST2A);
Vref_ST2A=(VR0_ST2A)./(kA_ST2A)+lfl(exc_ST2A(:,1),2)';
