% Formation of Ybus

Y=sparse(zeros(nb,nb));

for i=1:nline
incr=1/(nt(i,3)+j*nt(i,4));
Y((nt(i,1)),(nt(i,2)))=Y((nt(i,1)),(nt(i,2)))-incr;
Y((nt(i,2)),(nt(i,1)))=Y((nt(i,2)),(nt(i,1)))-incr;
Y((nt(i,1)),(nt(i,1)))=Y((nt(i,1)),(nt(i,1)))+incr+j*nt(i,5)/2;
Y((nt(i,2)),(nt(i,2)))=Y((nt(i,2)),(nt(i,2)))+incr+j*nt(i,5)/2;
end

for i=nline+1:(ntrans+nline)
incr=1/(nt(i,3)+j*nt(i,4));  
incr1=incr/nt(i,5);
incr2=(1-nt(i,5))*incr/(nt(i,5)*nt(i,5));
incr3=(nt(i,5)-1)*incr/nt(i,5);
Y((nt(i,1)),(nt(i,2)))=Y((nt(i,1)),(nt(i,2)))-incr1;
Y((nt(i,2)),(nt(i,1)))=Y((nt(i,2)),(nt(i,1)))-incr1;
Y((nt(i,1)),(nt(i,1)))=Y((nt(i,1)),(nt(i,1)))+incr1+incr2;
Y((nt(i,2)),(nt(i,2)))=Y((nt(i,2)),(nt(i,2)))+incr1+incr3;   
end

for i=1:nshunt
incr=shunt(i,2)+j*shunt(i,3);   
Y((shunt(i,1)),(shunt(i,1)))=Y((shunt(i,1)),(shunt(i,1)))+incr;
end

kcir1=QL0./VL0.^2;
kci1=PL0./VL0.^2;

for i=1:nload
incr=kci1(i)-j*kcir1(i);  
Y((ld(i,1)),(ld(i,1)))=Y((ld(i,1)),(ld(i,1)))+incr;
end

for i=1:ngen
incr=1/(j*xddd(i));
Y((gen(i,1)),(gen(i,1)))=Y((gen(i,1)),(gen(i,1)))+incr;
end
clc  
disp('If NO action to be taken, PRESS ENTER for every prompt.')
Tfault=input('\nFault initiation time (s), Tfault= ');
Tclear=input('Fault Duration,(s) Tclear= ');
fbus=input('Faulted Bus: ');
Line=input('Line(s) to be tripped, [ , ]= ');

if isempty(Tclear)      
Tclear=0;
end

if isempty(Tfault)
Tfault=1000;
end

Yf=Y;

if ~isempty(fbus)
Yf(fbus,fbus)=Yf(fbus,fbus)+100000;
end

Ypf=Y;

% Tripping of lines to clear fault
if ~isempty(Line)
for tline = Line
if (tline>nline)
% For transformer tripping
incr=1/(nt(tline,3)+j*nt(tline,4));  
incr1=incr/nt(tline,5);
incr2=(1-nt(tline,5))*incr/(nt(tline,5)*nt(tline,5));
incr3=(nt(tline,5)-1)*incr/nt(tline,5);
Ypf((nt(tline,1)),(nt(tline,2)))=Ypf((nt(tline,1)),(nt(tline,2)))+incr1;
Ypf((nt(tline,2)),(nt(tline,1)))=Ypf((nt(tline,2)),(nt(tline,1)))+incr1;
Ypf((nt(tline,1)),(nt(tline,1)))=Ypf((nt(tline,1)),(nt(tline,1)))-incr1-incr2;
Ypf((nt(tline,2)),(nt(tline,2)))=Ypf((nt(tline,2)),(nt(tline,2)))-incr1-incr3;   
else
%For line tripping   
incr=1/(nt(tline,3)+j*nt(tline,4));
Ypf(nt(tline,1),nt(tline,1))=Ypf(nt(tline,1),nt(tline,1))-incr-j*nt(tline,5)/2;
Ypf(nt(tline,2),nt(tline,2))=Ypf(nt(tline,2),nt(tline,2))-incr-j*nt(tline,5)/2;
Ypf(nt(tline,1),nt(tline,2))=Ypf(nt(tline,1),nt(tline,2))+incr;
Ypf(nt(tline,2),nt(tline,1))=Ypf(nt(tline,2),nt(tline,1))+incr;  
end
end   
end
%------------------------------------------------------------

%Frequency Dependancy of Load parameters:
kpf=1.5;
kqf=2;
%Now back to the main program
%pack temp.dat

